[![Python](https://img.shields.io/pypi/pyversions/suzie)](https://img.shields.io/pypi/pyversions/suzie)
[![PyPI Version](https://img.shields.io/pypi/v/suzie)](https://pypi.org/project/suzie/)
![GitHub Repo stars](https://img.shields.io/github/stars/erdogant/suzie)
[![License](https://img.shields.io/badge/license-MIT-green.svg)](https://github.com/erdogant/suzie/blob/master/LICENSE)
[![Forks](https://img.shields.io/github/forks/erdogant/suzie.svg)](https://github.com/erdogant/suzie/network)
[![Open Issues](https://img.shields.io/github/issues/erdogant/suzie.svg)](https://github.com/erdogant/suzie/issues)
[![Project Status](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![Downloads](https://pepy.tech/badge/suzie/month)](https://pepy.tech/project/suzie/)
[![Downloads](https://pepy.tech/badge/suzie)](https://pepy.tech/project/suzie)
[![DOI](https://zenodo.org/badge/231263493.svg)](https://zenodo.org/badge/latestdoi/231263493)
[![Docs](https://img.shields.io/badge/Sphinx-Docs-Green)](https://erdogant.github.io/suzie/)
[![Medium](https://img.shields.io/badge/Medium-Blog-black)](https://erdogant.github.io/suzie/pages/html/Documentation.html#medium-blog)
![GitHub repo size](https://img.shields.io/github/repo-size/erdogant/suzie)
[![Donate](https://img.shields.io/badge/Support%20this%20project-grey.svg?logo=github%20sponsors)](https://erdogant.github.io/suzie/pages/html/Documentation.html#)
[![Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://erdogant.github.io/suzie/pages/html/Documentation.html#colab-notebook)
<!---[![BuyMeCoffee](https://img.shields.io/badge/buymea-coffee-yellow.svg)](https://www.buymeacoffee.com/erdogant)-->
<!---[![Coffee](https://img.shields.io/badge/coffee-black-grey.svg)](https://erdogant.github.io/donate/?currency=USD&amount=5)-->


### 

<div>

<a href="https://erdogant.github.io/suzie/"><img src="https://github.com/erdogant/suzie/blob/master/docs/figs/logo.png" width="175" align="left" /></a>
``suzie`` is your AI assistant for summarizing, transcribing and meeting support in Python. Navigate to [API documentations](https://erdogant.github.io/suzie/) for more detailed information. **⭐️ Star it if you like it ⭐️**
</div>

---

### Key Pipelines

| Feature | Description |
|---------|-------------|
| **Audio Recording** | Record audio directly from your microphone for meetings, interviews, or notes. |
| **Audio Upload** | Upload existing audio files (mp3, wav, m4a) for processing. |
| **Audio Playback** | Play back recorded or uploaded audio within the app. |
| **Automatic Transcription** | Transcribe audio files to text using Whisper (local or OpenAI API). |
| **Transcription Editing** | Edit and refine the generated transcript before summarization. |
| **AI-Powered Summarization** | Generate smart summaries and action points from transcripts using LLMs (local or OpenAI). |
| **Minute Notes Generation** | Create, edit, and download structured meeting minute notes in Markdown or PDF. |
| **Project Management** | Organize recordings, transcripts, and notes by project for easy retrieval. |

---

### Resources and Links
- **Example Notebooks:** [Examples](https://erdogant.github.io/suzie/pages/html/Documentation.html#google-colab-notebooks)
- **Blog Posts:** [Medium](https://erdogant.medium.com/)
- **Documentation:** [Website](https://erdogant.github.io/suzie)
- **Bug Reports and Feature Requests:** [GitHub Issues](https://github.com/erdogant/suzie/issues)

---

<hr>

### Contributors
Setting up and maintaining suzie has been possible thanks to users and contributors. Thanks to:

<p align="left">
  <a href="https://github.com/erdogant/suzie/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=erdogant/suzie" />
  </a>
</p>

### Maintainer
* Erdogan Taskesen, github: [erdogant](https://github.com/erdogant)
* Contributions are welcome.
* Yes! This library is entirely **free** but it runs on coffee! :) Feel free to support with a <a href="https://erdogant.github.io/donate/?currency=USD&amount=5">Coffee</a>.

[![Buy me a coffee](https://img.buymeacoffee.com/button-api/?text=Buy+me+a+coffee&emoji=&slug=erdogant&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff)](https://www.buymeacoffee.com/erdogant)
